TTF_GetStringSize(3)

NAME
TTF_GetStringSize - Calculate the dimensions of a rendered string of UTF-8 text.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetStringSize(TTF_Font *font, const char *text, size_t length, int *w, int *h);

DESCRIPTION
This will report the width and height, in pixels, of the space that the specified string will take to fully render.

FUNCTION PARAMETERS

font
    the font to query.

text
    text to calculate, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

w   will be filled with width, in pixels, on return.

h   will be filled with height, in pixels, on return.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.